org.apache.thrift

## Class ShortStack

- java.lang.Object
- - org.apache.thrift.ShortStack

-     public class ShortStack
      extends java.lang.Object

  ShortStack is a short-specific Stack implementation written for the express purpose of very fast operations on TCompactProtocol's field id stack. This implementation performs at least 10x faster than java.util.Stack.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortStack(int initialCapacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `short` | `peek()`
    `short` | `pop()`
    `void` | `push(short pushed)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ShortStack

          public ShortStack(int initialCapacity)

  - ### Method Detail

    - #### pop

          public short pop()

    - #### push

          public void push(short pushed)

    - #### peek

          public short peek()

    - #### clear

          public void clear()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`